apiVersion: apps/v1
kind: Deployment
metadata:
  name: botlar-web-front
spec:
  replicas: 1
  selector:
    matchExpressions:
      - key: app
        operator: In
        values: [botlar-web-front]
  template:
    metadata:
      labels:
        app: botlar-web-front
    spec:
      containers:
      - name: botlar-web-front
        image: ''
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
          protocol: TCP
      imagePullSecrets:
        - name: gitlab-regcred
      volumes:
        - name: config-volume
          configMap:
            name: botlar-web-front-config
---        
apiVersion: v1
kind: Service
metadata:
  name: botlar-web-front
spec:
  type: NodePort
  selector:
    app: botlar-web-front
  ports:
    - port: 8080
      targetPort: 8080
      nodePort: 30099